<?php

namespace App\Http\Controllers;

use App\Models\Employee;
use Illuminate\Http\Request;

class EmployeeController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function emphome()
    {
        $employee = Employee::all();
        return view('emphome',compact('employee'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function empinserted()
    {
        Employee::create(['employeename'=>request('employeename'),'designation'=>request('designation'),'salary'=>request('salary')]);
        return view('empinserted');
    }

    public function addemp() 
    {
        return view('addemp');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function editemp($id)
    {
        $emp = Employee::find($id);
        return view('editemp',compact('emp'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $emp = Employee::find($id);
        $emp->update(['employeename'=>request('employeename'),'designation'=>request('designation'),'salary'=>request('salary')]);
        return view('empupdated');        
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function empdeleted($id)
    {
        $employee = Employee::find($id);
        $employee->delete();
        return view('empdeleted');
    }


}
