<!doctype html>
<html lang="en">

<head>
  <title>Employee Home Page</title>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

  <!-- Bootstrap CSS v5.2.1 -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-iYQeCzEYFbKjA/T2uDLTpkwGzCiq6soy8tYaI1GyVh/UjpbCx/TYkiZhlZB6+fzT" crossorigin="anonymous">

</head>
<style>
    * {
        margin:0;
        padding: 0;
    }
    body {
        text-align: center;
        background-image: url('https://blog.rentsyst.com/static/origin/post/10/10.jpg');
        background-size: cover;
        background-position:top center; 
    }

    h1 {
        color: #ff6348;
    }

    table {
        /* Styling border collapse for table one. */
        text-align: center;
        border-collapse: collapse;
        background: linear-gradient(white,white,#bfea7f,#bfea7f,#bfea7f);

        /* color: #ffffff; */
    }

    table,
    td,
    th {
        border: 1.5px solid #3B3B98;
        padding: 8px;

    }
    #empMngt {
        margin:20px;
    }
</style>

<body>
  <header>
    <!-- place navbar here -->
    
  </header>
  <main>  
    
    <body>
        <div id="empMngt">
        <center>
            <h1>Employee Management</h1>
            <table border="1">
                <thead>
                    <tr>
                        <th>Employee Name</th>
                        <th>Designation</th>
                        <th>Salary</th>
                        <th colspan="2">Operations</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($employee as $emp)
                        <tr>
                            <td>{{ $emp['employeename'] }}</td>
                            <td>{{ $emp['designation'] }}</td>
                            <td>{{ $emp['salary'] }}</td>
                            <td><a href="/editemp/{{$emp->id}}"><button
                                        style="border-radius: 30px;padding:6px; background-color:#25CCF7">Edit
                                        <b>{{ $emp['employeename'] }}</b></button></a></td>
                            <td><a href="/empdeleted/{{$emp->id}}"><button
                                        style="border-radius: 30px;padding:6px; background-color:#FD7272">Delete
                                        <b>{{ $emp['employeename'] }}</b></button></a></td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </center>
        <a href="/addemp"><button style="border-radius: 30px;padding:12px; margin:20px; background-color:#55E6C1;">Add New Employee</button></a>

    </div>
    </body>    
  </main>
  <footer>
    <!-- place footer here -->
  </footer>
  <!-- Bootstrap JavaScript Libraries -->
  <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js"
    integrity="sha384-oBqDVmMz9ATKxIep9tiCxS/Z9fNfEXiDAYTujMAeBAsjFuCZSmKbSSUnQlmh/jp3" crossorigin="anonymous">
  </script>

  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/js/bootstrap.min.js"
    integrity="sha384-7VPbUDkoPSGFnVtYi0QogXtr74QeVeeIs99Qfg5YCF+TidwNdjvaKZX19NZ/e6oz" crossorigin="anonymous">
  </script>
</body>

</html>